variable "tag" {
  description = "The version of app to install"
  type        = string
  default     = "latest"
}

variable "forward_dns_servers" {
  description = "Forward DNS servers"
  type        = list(string)
  default     = ["8.8.8.8", "8.8.4.4"]
}

variable "override_hosts" {
  description = "Override hosts"
  type = list(object({
    ip   = string
    name = string
  }))
  default = []
}

variable "zones" {
  description = "Zones to be managed by coredns"
  type = list(object({
    fqdn          = string
    domain_master = optional(string, "admin")
    refresh_rate  = optional(number, 7200)
    retry_rate    = optional(number, 3600)
    expire_time   = optional(number, 1209600)
    ttl           = optional(number, 3600)
    records = list(object({
      name    = string
      type    = string
      content = string
    }))
  }))
  default = []
}

variable "external_dns_enabled" {
  description = "Enable listening on port 53 on the loadbalancer for external DNS resolution"
  type        = bool
  default     = false
}
